    createCompositionlok3 = function()
    
        local compositionlok3 = CreateCompositionSequence()
        local compositionDuration = 3.91666666666667
        compositionlok3:SetDuration(compositionDuration)
    
        -- Layer Layer_3
        local element = createCompositionPre_comp_3()
        element:SetName("Layer_3")
        compositionlok3:AddElement(element)
        element:SetHotSpot(880, 402)
        element:SetParentElement(compositionlok3)
        element:SetXY(774, 246)
    
        element:SetScaleX(-1)
        element:SetScaleY(1)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 3.91666666666667)
    
        effector:SetKey(_TRACK_A, 0, 0)
        effector:SetKey(_TRACK_A, 2.33333333333333, 0.08005764547588)
        effector:SetKey(_TRACK_A, 3.875, 0)
    
        effector:Play()
    
    
        -- Layer Layer_4
        local element = createCompositionvolna_png_Comp_1()
        element:SetName("Layer_4")
        compositionlok3:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionlok3)
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 1.95833333333333)
    
        effector:SetKey(_TRACK_X, 0, 747.474868774414)
        effector:SetKey(_TRACK_Y, 0, 421.788940429688)
        effector:SetKey(_TRACK_X, 1.875, 747.474868774414)
        effector:SetKey(_TRACK_Y, 1.875, 441.788940429688)
    
        effector:Play()
    
    
        -- Layer Layer_5
        local element = createCompositionvolna_png_Comp_1()
        element:SetName("Layer_5")
        compositionlok3:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionlok3)
        element:SetScaleX(0.8)
        element:SetScaleY(0.8)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(1.25, 3.20833333333333)
    
        effector:SetKey(_TRACK_X, 1.29166666666667, 860.83918762207)
        effector:SetKey(_TRACK_Y, 1.29166666666667, 367.085418701172)
        effector:SetKey(_TRACK_X, 2, 854.83918762207)
        effector:SetKey(_TRACK_Y, 2, 374.085418701172)
        effector:SetKey(_TRACK_X, 3.08333333333333, 849.83918762207)
        effector:SetKey(_TRACK_Y, 3.08333333333333, 365.085418701172)
    
        effector:Play()
    
    
        -- Layer Layer_6
        local element = createCompositionvolna_png_Comp_1()
        element:SetName("Layer_6")
        compositionlok3:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionlok3)
        element:SetScaleX(1.19)
        element:SetScaleY(1.19)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(2.08333333333333, 4.04166666666667)
    
        effector:SetKey(_TRACK_X, 2.16666666666667, 809.336669921875)
        effector:SetKey(_TRACK_Y, 2.16666666666667, 402.432159423828)
        effector:SetKey(_TRACK_X, 3.875, 803.836669921875)
        effector:SetKey(_TRACK_Y, 3.875, 390.432159423828)
    
        effector:Play()
    
        -- Layer Layer_10
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/sky3.jpg")
        element:SetName("Layer_10")
        compositionlok3:AddElement(element)
        element:SetHotSpot(172, 328.5)
        element:SetParentElement(compositionlok3)
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_X, 0, 634.366836547852)
        effector:SetKey(_TRACK_Y, 0, 123.804016113281)
        effector:SetKey(_TRACK_X, 1.875, 634.366836547852)
        effector:SetKey(_TRACK_Y, 1.875, 133.804016113281)
        effector:SetKey(_TRACK_X, 3.91666666666667, 634.366836547852)
        effector:SetKey(_TRACK_Y, 3.91666666666667, 123.804016113281)
        effector:SetKey(_TRACK_A, 0, 0)
        effector:SetKey(_TRACK_A, 1.875, -0.010813596608)
        effector:SetKey(_TRACK_A, 3.91666666666667, 0)
    
        effector:Play()
 
        compositionlok3:Play()
    
        return compositionlok3
    end
    
    createCompositionPre_comp_2 = function()
    
        local compositionPre_comp_2 = CreateCompositionSequence()
        local compositionDuration = 3.95833333333333
        compositionPre_comp_2:SetDuration(compositionDuration)
    
    
        -- Layer Layer_1
        local element = createCompositionvolna_png_Comp_1()
        element:SetName("Layer_1")
        compositionPre_comp_2:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionPre_comp_2)
        element:SetScaleX(0.54)
        element:SetScaleY(0.54)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(2.08333333333333, 4.04166666666667)
    
        effector:SetKey(_TRACK_X, 2.16666666666667, 380)
        effector:SetKey(_TRACK_Y, 2.16666666666667, 336)
        effector:SetKey(_TRACK_X, 3.875, 374.5)
        effector:SetKey(_TRACK_Y, 3.875, 324)
    
        effector:Play()
    
    
        -- Layer Layer_2
        local element = createCompositionvolna_png_Comp_1()
        element:SetName("Layer_2")
        compositionPre_comp_2:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionPre_comp_2)
        element:SetScaleX(0.8)
        element:SetScaleY(0.8)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(1.25, 3.20833333333333)
    
        effector:SetKey(_TRACK_X, 1.29166666666667, 397)
        effector:SetKey(_TRACK_Y, 1.29166666666667, 370)
        effector:SetKey(_TRACK_X, 2, 391)
        effector:SetKey(_TRACK_Y, 2, 377)
        effector:SetKey(_TRACK_X, 3.08333333333333, 386)
        effector:SetKey(_TRACK_Y, 3.08333333333333, 368)
    
        effector:Play()
    
    
        -- Layer Layer_3
        local element = createCompositionvolna_png_Comp_1()
        element:SetName("Layer_3")
        compositionPre_comp_2:AddElement(element)
        element:SetHotSpot(512, 384)
        element:SetParentElement(compositionPre_comp_2)
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 1.95833333333333)
    
        effector:SetKey(_TRACK_X, 0, 493.5)
        effector:SetKey(_TRACK_Y, 0, 387)
        effector:SetKey(_TRACK_X, 1.875, 493.5)
        effector:SetKey(_TRACK_Y, 1.875, 407)
    
        effector:Play()
    
    
        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/cloud1.png")
        element:SetName("Layer_4")
        compositionPre_comp_2:AddElement(element)
        element:SetHotSpot(151.5, 49)
        compositionPre_comp_2:RegisterParentInfo("Layer_4", "Layer_8")
        element:SetScaleX(0.45214521452145)
        element:SetScaleY(1.30578755273262)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_X, 0, 95.3140563964844)
        effector:SetKey(_TRACK_Y, 0, 55.3329590477335)
        effector:SetKey(_TRACK_X, 1.95833333333333, 95.3140563964844)
        effector:SetKey(_TRACK_Y, 1.95833333333333, 48.8040212840704)
        effector:SetKey(_TRACK_X, 3.875, 95.3140563964844)
        effector:SetKey(_TRACK_Y, 3.875, 55.3329590477335)
    
        effector:Play()
    
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/cloud2.png")
        element:SetName("Layer_5")
        compositionPre_comp_2:AddElement(element)
        element:SetHotSpot(58, 30.5)
        compositionPre_comp_2:RegisterParentInfo("Layer_5", "Layer_8")
        element:SetScaleX(1)
        element:SetScaleY(1.30578755273262)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_X, 0, 46.3140563964844)
        effector:SetKey(_TRACK_Y, 0, 108.87024870977)
        effector:SetKey(_TRACK_X, 1.95833333333333, 46.3140563964844)
        effector:SetKey(_TRACK_Y, 1.95833333333333, 102.341310946107)
        effector:SetKey(_TRACK_X, 3.875, 46.3140563964844)
        effector:SetKey(_TRACK_Y, 3.875, 108.87024870977)
    
        effector:Play()
    
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/cloud3.png")
        element:SetName("Layer_6")
        compositionPre_comp_2:AddElement(element)
        element:SetHotSpot(56, 26)
        compositionPre_comp_2:RegisterParentInfo("Layer_6", "Layer_8")
        element:SetScaleX(1)
        element:SetScaleY(1.30578755273262)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_X, 0, 113.314056396484)
        effector:SetKey(_TRACK_Y, 0, 150.655450397216)
        effector:SetKey(_TRACK_X, 1.95833333333333, 113.314056396484)
        effector:SetKey(_TRACK_Y, 1.95833333333333, 144.126512633553)
        effector:SetKey(_TRACK_X, 3.875, 113.314056396484)
        effector:SetKey(_TRACK_Y, 3.875, 150.655450397216)
    
        effector:Play()
    
    
        -- Layer Layer_7
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/sea.png")
        element:SetName("Layer_7")
        compositionPre_comp_2:AddElement(element)
        element:SetHotSpot(214, 34)
        compositionPre_comp_2:RegisterParentInfo("Layer_7", "Layer_8")
        element:SetXY(163.487503051758, 182.74593266067)
    
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_SX, 0, 1)
        effector:SetKey(_TRACK_SY, 0, 0.82107997051387)
        effector:SetKey(_TRACK_SX, 1.95833333333333, 1)
        effector:SetKey(_TRACK_SY, 1.95833333333333, 0.89612523216517)
        effector:SetKey(_TRACK_SX, 3.875, 1)
        effector:SetKey(_TRACK_SY, 3.875, 0.82107997051387)
    
        effector:Play()
    
    
        -- Layer Layer_8
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/sky.jpg")
        element:SetName("Layer_8")
        compositionPre_comp_2:AddElement(element)
        element:SetHotSpot(265, 182.5)
        element:SetParentElement(compositionPre_comp_2)
        element:SetScaleX(1)
        element:SetScaleY(0.76582136037926)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_X, 0, 455.685943603516)
        effector:SetKey(_TRACK_Y, 0, 271.431671142578)
        effector:SetKey(_TRACK_X, 1.95833333333333, 455.685943603516)
        effector:SetKey(_TRACK_Y, 1.95833333333333, 285.424776678111)
        effector:SetKey(_TRACK_X, 3.875, 455.685943603516)
        effector:SetKey(_TRACK_Y, 3.875, 271.431671142578)
    
        effector:Play()
    
        compositionPre_comp_2:Play()
    
        return compositionPre_comp_2
    end
    
    createCompositionPre_comp_3 = function()
    
        local compositionPre_comp_3 = CreateCompositionSequence()
        local compositionDuration = 3.91666666666667
        compositionPre_comp_3:SetDuration(compositionDuration)
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/L7.png")
        element:SetName("Layer_1")
        compositionPre_comp_3:AddElement(element)
        element:SetHotSpot(24.5, 6)
        element:SetParentElement(compositionPre_comp_3)
        element:SetXY(890, 396.5)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_A, 0, 0)
        effector:SetKey(_TRACK_A, 0.45833333333333, 0.01977031863962)
        effector:SetKey(_TRACK_A, 0.95833333333333, 0.02843065543882)
        effector:SetKey(_TRACK_A, 1.45833333333333, 0.07775657252321)
        effector:SetKey(_TRACK_A, 1.95833333333333, 0.06573523443029)
        effector:SetKey(_TRACK_A, 2.41666666666667, 0.09112845402835)
        effector:SetKey(_TRACK_A, 3.875, 0)
    
        effector:Play()
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/L6.png")
        element:SetName("Layer_2")
        compositionPre_comp_3:AddElement(element)
        element:SetHotSpot(19.5, 34)
        element:SetParentElement(compositionPre_comp_3)
        element:SetXY(883, 372)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_A, 0, 0)
        effector:SetKey(_TRACK_A, 0.45833333333333, -0.00782560821259)
        effector:SetKey(_TRACK_A, 0.95833333333333, -0.02465510620515)
        effector:SetKey(_TRACK_A, 1.45833333333333, -0.03670461680506)
        effector:SetKey(_TRACK_A, 1.95833333333333, -0.10163546775959)
        effector:SetKey(_TRACK_A, 2.41666666666667, -0.10506622499823)
        effector:SetKey(_TRACK_A, 3.875, 0)
    
        effector:Play()
    
    
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/L4.png")
        element:SetName("Layer_3")
        compositionPre_comp_3:AddElement(element)
        element:SetHotSpot(12, 10.5)
        element:SetParentElement(compositionPre_comp_3)
        element:SetXY(890, 380)
    
        element:SetScaleX(1)
        element:SetScaleY(1.08571428571429)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_A, 0, 0)
        effector:SetKey(_TRACK_A, 0.45833333333333, -0.05446901812591)
        effector:SetKey(_TRACK_A, 0.95833333333333, -0.04855807070066)
        effector:SetKey(_TRACK_A, 1.45833333333333, -0.09574258831599)
        effector:SetKey(_TRACK_A, 1.95833333333333, -0.15581400307617)
        effector:SetKey(_TRACK_A, 2.41666666666667, -0.16629511973205)
        effector:SetKey(_TRACK_A, 3.875, 0)
    
        effector:Play()
    
    
        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/L5.png")
        element:SetName("Layer_4")
        compositionPre_comp_3:AddElement(element)
        element:SetHotSpot(10, 15)
        element:SetParentElement(compositionPre_comp_3)
        element:SetXY(885.5, 401)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_A, 0, 0)
        effector:SetKey(_TRACK_A, 0.45833333333333, -0.01758886992765)
        effector:SetKey(_TRACK_A, 0.95833333333333, -0.10725892705141)
        effector:SetKey(_TRACK_A, 1.45833333333333, -0.13407220322666)
        effector:SetKey(_TRACK_A, 1.95833333333333, -0.11703359595393)
        effector:SetKey(_TRACK_A, 2.41666666666667, -0.16733253254721)
        effector:SetKey(_TRACK_A, 3.875, 0)
    
        effector:Play()
    
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/L3.png")
        element:SetName("Layer_5")
        compositionPre_comp_3:AddElement(element)
        element:SetHotSpot(69, 18.5)
        element:SetParentElement(compositionPre_comp_3)
        element:SetXY(883, 382.5)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_A, 0, 0.15483533427525)
        effector:SetKey(_TRACK_A, 0.45833333333333, 0.15468887533399)
        effector:SetKey(_TRACK_A, 0.95833333333333, 0.22735546259012)
        effector:SetKey(_TRACK_A, 1.45833333333333, 0.19899035287018)
        effector:SetKey(_TRACK_A, 1.95833333333333, 0.28214904973858)
        effector:SetKey(_TRACK_A, 2.41666666666667, 0.26699920525246)
        effector:SetKey(_TRACK_A, 3.875, 0.15483533427525)
    
        effector:Play()
    
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/L2.png")
        element:SetName("Layer_6")
        compositionPre_comp_3:AddElement(element)
        element:SetHotSpot(54, 13.5)
        element:SetParentElement(compositionPre_comp_3)
        element:SetXY(858, 390)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_A, 0, 0)
        effector:SetKey(_TRACK_A, 0.45833333333333, 0.06155689543456)
        effector:SetKey(_TRACK_A, 0.95833333333333, 0.06643040571744)
        effector:SetKey(_TRACK_A, 1.45833333333333, 0.07397674603558)
        effector:SetKey(_TRACK_A, 1.95833333333333, 0.14696001650325)
        effector:SetKey(_TRACK_A, 2.41666666666667, 0.14006050921786)
        effector:SetKey(_TRACK_A, 3.875, 0)
    
        effector:Play()
    
    
        -- Layer Layer_7
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/L1.png")
        element:SetName("Layer_7")
        compositionPre_comp_3:AddElement(element)
        element:SetHotSpot(71, 39.5)
        element:SetParentElement(compositionPre_comp_3)
        element:SetXY(888.262893676758, 418.424896240234)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_A, 0, 0)
        effector:SetKey(_TRACK_A, 0.45833333333333, 0.03667647156963)
        effector:SetKey(_TRACK_A, 0.95833333333333, 0.08127236062911)
        effector:SetKey(_TRACK_A, 1.45833333333333, 0.07554468729914)
        effector:SetKey(_TRACK_A, 1.95833333333333, 0.10152131635222)
        effector:SetKey(_TRACK_A, 2.41666666666667, 0.12541827159655)
        effector:SetKey(_TRACK_A, 3.875, 0)
    
        effector:Play()
    
        compositionPre_comp_3:Play()
    
        return compositionPre_comp_3
    end
    
    createCompositionvolna_png_Comp_1 = function()
    
        local compositionvolna_png_Comp_1 = CreateCompositionSequence()
        local compositionDuration = 3.95833333333333
        compositionvolna_png_Comp_1:SetDuration(compositionDuration)
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/volna.png")
        element:SetName("Layer_1")
        compositionvolna_png_Comp_1:AddElement(element)
        element:SetHotSpot(103.5, -1)
        element:SetParentElement(compositionvolna_png_Comp_1)
        element:SetAngle(0.06294875518289)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_X, 0, 332)
        effector:SetKey(_TRACK_Y, 0, 304.739549694588)
        effector:SetKey(_TRACK_X, 1.91666666666667, 321)
        effector:SetKey(_TRACK_Y, 1.91666666666667, 306.739549694588)
        effector:SetKey(_TRACK_SX, 0, 0.41585805988095)
        effector:SetKey(_TRACK_SY, 0, 0.39614960528354)
        effector:SetKey(_TRACK_SX, 1.91666666666667, 0.46363558833149)
        effector:SetKey(_TRACK_SY, 1.91666666666667, 0.486120091993)
        effector:SetKey(_TRACK_O, 0, 0)
        effector:SetKey(_TRACK_O, 0.79166666666667, 1)
        effector:SetKey(_TRACK_O, 1.875, 0)
    
        effector:Play()
    
        compositionvolna_png_Comp_1:Play()
    
        return compositionvolna_png_Comp_1
    end
    
    createComposition_chayka_1 = function()
        local element = createCompositionchayka()
        element:SetName("Layer_7")
        element:SetDuration(2.375)
        element:SetHotSpot(417, 453)
        element:SetAngle(0)
        element:SetOpacity(1)
        element:SetDestroysOnEnd(false)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
        effector:SetKey(_TRACK_X, 0, 439.527969360352)
        effector:SetKey(_TRACK_Y, 0, 226.290512084961)
        effector:SetKey(_TRACK_X, 2.375, 861.060882568359)
        effector:SetKey(_TRACK_Y, 2.375, 228.611801147461)
        effector:SetKey(_TRACK_SX, 0, 0.33333333333333)
        effector:SetKey(_TRACK_SY, 0, 0.33333333333333)
        effector:SetKey(_TRACK_SX, 2.375, 0.09592326139089)
        effector:SetKey(_TRACK_SY, 2.375, 0.09592326139089)
    
        effector:Play()
        
        return element
    end
    
    createComposition_chayka_2 = function()
        local element = createCompositionchayka()
        element:SetName("Layer_8")
        element:SetDuration(3.5)
        element:SetHotSpot(417, 453)
        element:SetScaleX(-0.173333)
        element:SetScaleY(0.17333317333317)
        element:SetOpacity(1)
        element:SetDestroysOnEnd(false)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0.54166666666667, 60.5416666666667)
    
        effector:SetKey(_TRACK_X, 1.125, 780.081298828125)
        effector:SetKey(_TRACK_Y, 1.125, -11.5302581787109)
        effector:SetKey(_TRACK_X, 2.5, 608.869979858398)
        effector:SetKey(_TRACK_Y, 2.5, 236.521453857422)
        effector:SetKey(_TRACK_X, 3.5, 432.893508911133)
        effector:SetKey(_TRACK_Y, 3.5, 239.812622070313)
        effector:SetKey(_TRACK_A, 1.125, -0.52802399615852)
        effector:SetKey(_TRACK_A, 2.70833333333333, 0.38859496221676)
    
        effector:Play()
        
        return element
    end
    
    createComposition_chayka_3 = function()
        local element = createCompositionchayka()
        element:SetName("Layer_9")
        element:SetDuration(3.79166666666667)
        element:SetHotSpot(417, 453)
        element:SetScaleX(0.09333308)
        element:SetScaleY(0.09333317333317)
        element:SetAngle(-0.16012265947559)
        element:SetOpacity(1)
        element:SetDestroysOnEnd(false)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0.83333333333333, 60.8333333333333)
    
        effector:SetKey(_TRACK_X, 1.83333333333333, 465.717620849609)
        effector:SetKey(_TRACK_Y, 1.83333333333333, 60.9957733154297)
        effector:SetKey(_TRACK_X, 3.79166666666667, 840.199661254883)
        effector:SetKey(_TRACK_Y, 3.79166666666667, 1.71366882324219)
    
        effector:Play()
        
        return element
    end
    
    createComposition_maska = function()
        local element = CreateCompositionElement("data/Texture/Scenes/3_ship_galley_/Animations/Sea/mask_3.png")
        element:SetName("Layer_2")
        element:SetHotSpot(325, 286)
        element:SetXY(625, 286)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 60)
    
    
        effector:Play()

        return element
    end
    
    